Bug 1013318 - [abrt] system-config-services-0.101.10-1.fc19: __init__.py:290:__init__:KeyError: 'xinetdServiceExplanationLabel' [NEEDINFO]
[abrt] system-config-services-0.101.10-1.fc19: __init__.py:290:__init__:KeyEr...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:5c5dc4ac4988a9c31077914cd0e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-29 04:48 EDT by George
Modified: 2014-03-20 07:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 07:45:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nphilipp: needinfo? (george)


Attachments (Terms of Use)
File: backtrace (1.20 KB, text/plain)
2013-09-29 04:48 EDT, George
no flags Details
File: environ (1.55 KB, text/plain)
2013-09-29 04:48 EDT, George
no flags Details

  None (edit)
Description George 2013-09-29 04:48:19 EDT
Description of problem:
tried to start httpd

Version-Release number of selected component:
system-config-services-0.101.10-1.fc19

Additional info:
reporter:       libreport-2.1.7
cmdline:        /usr/bin/python /usr/bin/system-config-services
executable:     /usr/bin/system-config-services
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
__init__.py:290:__init__:KeyError: 'xinetdServiceExplanationLabel'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 869, in on_unit_properties_changed
    self._on_unit_properties_changed(unit)
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 877, in _on_unit_properties_changed
    self.on_service_status_changed(unit)
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 902, in on_service_status_changed
    GUIServicesDetailsPainter(self, self.current_service).\
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 422, in __init__
    service)
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 329, in __init__
    super(GUIServicesDetailsPainter, self).__init__(serviceslist.xml)
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 290, in __init__
    raise KeyError(wname)
KeyError: 'xinetdServiceExplanationLabel'

Local variables in innermost frame:
xml: <gtk.glade.XML object at 0x1ce33c0 (GladeXML at 0x18c6090)>
self: <scservices.gui.GUIXinetdServicesDetailsPainter object at 0x1cdae90>
w: None
wname: 'xinetdServiceExplanationLabel'
Comment 1 George 2013-09-29 04:48:22 EDT
Created attachment 804631 [details]
File: backtrace
Comment 2 George 2013-09-29 04:48:25 EDT
Created attachment 804632 [details]
File: environ
Comment 3 Nils Philippsen 2013-09-30 06:20:38 EDT
Hmm, this is odd because the Glade XML file actually contains this widget:

nils@gibraltar:~> grep xinetdServiceExplanationLabel /usr/share/system-config-services/system-config-services.glade 
		    <widget class="GtkLabel" id="xinetdServiceExplanationLabel">

I know this is pretty unlikely, but do you per chance have a file called "system-config-services.glade" in your home directory?

Is your system-config-services package damaged somehow? Please run "rpm -V system-config-services" as root and post the results.

Can you reproduce this issue a) at all, b) as another user, c) on a different machine?
Comment 4 Jaromír Končický 2014-03-20 07:47:05 EDT
No response from reporter during 5 months, that's enough to close it.

Note You need to log in before you can comment on or make changes to this bug.